GDBserver

Classes | Functions
linux-btrace.h File Reference
`#include "btrace-common.h"`
`#include "vec.h"`

Go to the source code of this file.

## Classes
struct | btrace_target_info

## Functions
int | linux_supports_btrace (struct target_ops *, enum btrace_format)
struct btrace_target_info * | linux_enable_btrace (ptid_t ptid, const struct btrace_config *conf)
enum btrace_error | linux_disable_btrace (struct btrace_target_info *ti)
enum btrace_error | linux_read_btrace (struct btrace_data *btrace, struct btrace_target_info *btinfo, enum btrace_read_type type)
const struct btrace_config * | linux_btrace_conf (const struct btrace_target_info *)

## Function Documentation

## ◆ linux_btrace_conf()

const struct btrace_config* linux_btrace_conf | ( | const struct btrace_target_info * |  | ) |

Definition at line 1197 of file linux-btrace.c.

## ◆ linux_disable_btrace()

enum btrace_error linux_disable_btrace | ( | struct btrace_target_info * | ti | ) |

Definition at line 1179 of file linux-btrace.c.

References BTRACE_ERR_NOT_SUPPORTED.

## ◆ linux_enable_btrace()

struct btrace_target_info* linux_enable_btrace | ( | ptid_t | ptid,
|  | const struct btrace_config * | conf
| ) |  |

Definition at line 1171 of file linux-btrace.c.

## ◆ linux_read_btrace()

enum btrace_error linux_read_btrace | ( | struct btrace_data * | btrace,
|  | struct btrace_target_info * | btinfo,
|  | enum btrace_read_type | type
| ) |  |

Definition at line 1187 of file linux-btrace.c.

References BTRACE_ERR_NOT_SUPPORTED.

## ◆ linux_supports_btrace()

int linux_supports_btrace | ( | struct target_ops * | ,
|  | enum | btrace_format
| ) |  |

Definition at line 1163 of file linux-btrace.c.